<?php
// الاتصال بقاعدة البيانات
require '../database_connection.php'; 

// استخراج الجزء المطلوب من الرابط باستخدام preg_match
$url_path = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
$parts = explode('/', trim($url_path, '/')); // تقسيم الرابط وإزالة أي "/"

if (count($parts) >= 2 && $parts[0] === 'lin' && !empty($parts[1])) {
    $aliads = htmlspecialchars($parts[1]); // استخراج القيمة المطلوبة
} else {
    // إذا لم يكن الرابط متوافقًا مع النمط المطلوب
    $aliads = 'default_value'; // يمكنك تغييرها إلى أي قيمة أخرى تريدها
}
// اختيار رقم عشوائي من 1 إلى 7
$number = rand(1, 7);

// اختيار عشوائي من الحروف
$letters = [ 'r', 'i'];
$letter = $letters[array_rand($letters)];

// دمج الحرف والرقم في متغير des
$des = $letter . $number;

// الحصول على الـ IP الحالي
$ip = $_SERVER['REMOTE_ADDR'];

// استخراج مصدر الزيارة
$sourc = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : 'direct';

// إدخال البيانات في جدول lin_ip
$sql = "INSERT INTO lin_ip (ip_lin, alias, dest, sourc, date) VALUES (:ip, :alias, :dest, :sourc, NOW())";
$stmt = $pdo->prepare($sql);
$stmt->bindParam(':ip', $ip, PDO::PARAM_STR);
$stmt->bindParam(':alias', $aliads, PDO::PARAM_STR);
$stmt->bindParam(':dest', $des, PDO::PARAM_STR);
$stmt->bindParam(':sourc', $sourc, PDO::PARAM_STR);
$stmt->execute();

// الحصول على الرابط المطلوب بناءً على الحرف والرقم
$sql_link = "SELECT link_{$number} FROM linkat WHERE lin = :letter";
$stmt_link = $pdo->prepare($sql_link);
$stmt_link->bindParam(':letter', $letter, PDO::PARAM_STR);
$stmt_link->execute();
$link_row = $stmt_link->fetch(PDO::FETCH_ASSOC);

// التأكد من وجود الرابط
if ($link_row) {
    $externalLink = $link_row["link_{$number}"];
} else {
    // في حال لم يتم العثور على الرابط، نوجه إلى رابط افتراضي
    $externalLink = "https://www.example.com";
}

// تحديد مسار الصورة بناءً على الرقم العشوائي
$imagePath = "https://wasit-arab.com/view/" . $number . ".png"; // استبدل هذا بمسار صورك الفعلي
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Alert with Image</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.css">
  <style>
    .swal-modal {
      max-width: 90%;
    }
    .swal-title {
      font-size: 18px;
    }
    .swal-text {
      font-size: 14px;
    }
    .swal-icon img {
      max-width: 100%;
      height: auto;
    }
    @media only screen and (max-width: 600px) {
      .swal-modal {
        width: 90%;
      }
    }
  </style>
</head>
<body>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js"></script>
  <script>
    swal({
        
        title: "Se le dirigirá a esta página. Haga clic en el lugar designado como se muestra en la imagen para continuar. Si encuentra algún problema, abra el enlace en otro navegador",
        icon: "<?php echo $imagePath; ?>",  // عرض الصورة بناءً على الرقم العشوائي
        buttons: {
          ok: "Ok",
        },
      }).finally(() => {
        window.location.href = "<?php echo $externalLink; ?>"; // التوجيه إلى الرابط المختار من جدول linkat
      });
  </script>
</body>
</html>
