<?php
require 'database_connection.php';

// الحصول على عنوان الآي بي الحالي
$ip_address = $_SERVER['REMOTE_ADDR'];

// الحصول على alias و sourc و dest من جدول lin_ip لنفس عنوان الآي بي
$query = $pdo->prepare("SELECT alias, sourc, dest FROM lin_ip WHERE ip_lin = ? ORDER BY id DESC LIMIT 1");
$query->execute([$ip_address]);
$result = $query->fetch(PDO::FETCH_ASSOC);

if ($result) {
    $alias = $result['alias'];
    $sourc = $result['sourc'];
    $dest = $result['dest'];
} else {
    die("No data found for the given IP.");
}

// التحقق من عدد الأسطر في جدول stat_lin بنفس عنوان الآي بي خلال آخر 24 ساعة
$query = $pdo->prepare("SELECT COUNT(*) as row_count FROM stat_lin WHERE ip_address = ? AND time >= NOW() - INTERVAL 1 DAY");
$query->execute([$ip_address]);
$row_count = $query->fetch(PDO::FETCH_ASSOC)['row_count'];

if ($row_count < 1) {
    // البحث عن id و linkk في جدول links حيث alias يساوي alias المستخرج
    $query = $pdo->prepare("SELECT id,id_user, linkk FROM links WHERE alias = ?");
    $query->execute([$alias]);
    $linkData = $query->fetch(PDO::FETCH_ASSOC);

    if ($linkData) {
        $id = $linkData['id_user'];
        $linkk = $linkData['linkk'];
$idlinkk = $linkData['id'];
        // جلب cpm و reff من جدول users
        $query = $pdo->prepare("SELECT cpm, reff FROM users WHERE id = ?");
        $query->execute([$id]);
        $userData = $query->fetch(PDO::FETCH_ASSOC);

        if ($userData) {
            $cpm = $userData['cpm'];
            $reff = $userData['reff'];

            // تحديد القيمة التي سيتم إضافتها إلى solde
            $amount = ($cpm > 0) ? $cpm : 0.007;
            $reff_bonus = $amount * 0.2; // 20% من القيمة المحددة

            // تحديث solde و ear_ref للمستخدم الأول
            $query = $pdo->prepare("UPDATE users SET solde = solde + ?, ear_ref = ear_ref + ? WHERE id = ?");
            $query->execute([$amount, $reff_bonus, $id]);

            // إذا كان هناك reff أكبر من 0، يتم منح 20% له
            if ($reff > 0) {
                $query = $pdo->prepare("UPDATE users SET solde = solde + ? WHERE id = ?");
                $query->execute([$reff_bonus, $reff]);
            }
        }

        // حذف أول سطر من جدول lin_ip لنفس عنوان الآي بي
        $query = $pdo->prepare("DELETE FROM lin_ip WHERE ip_lin = ?");
        $query->execute([$ip_address]);

        // إضافة سطر جديد في جدول stat_lin
        $query = $pdo->prepare(
            "INSERT INTO stat_lin (id_user, earning, statut, distinat, ip_address, sourc, id_link) 
             VALUES (?, ?, 1, ?, ?, ?, ?)"
        );
        $query->execute([$id, $amount, $dest, $ip_address, $sourc, $idlinkk]);

        // التأكد من أن الرابط يحتوي على بروتوكول
        if (!preg_match('/^https?:\/\//', $linkk)) {
            $linkk = 'https://' . $linkk;
        }

        // التوجيه إلى الرابط
        header("Location: $linkk");
        exit;
    } else {
        die("No data found in links table for the given alias.");
    }
} else {
    // البحث عن id_user و linkk إذا كان هناك زيارة سابقة خلال 24 ساعة
    $query = $pdo->prepare("SELECT id_user, linkk FROM links WHERE alias = ?");
    $query->execute([$alias]);
    $linkData = $query->fetch(PDO::FETCH_ASSOC);

    if ($linkData) {
        $id = $linkData['id_user'];
        $linkk = $linkData['linkk'];

        $query = $pdo->prepare("DELETE FROM lin_ip WHERE ip_lin = ?");
        $query->execute([$ip_address]);

        // التأكد من أن الرابط يحتوي على بروتوكول
        if (!preg_match('/^https?:\/\//', $linkk)) {
            $linkk = 'https://' . $linkk;
        }

        // التوجيه إلى الرابط
        header("Location: $linkk");
        exit;
    } else {
        die("No data found in links table for the given alias.");
    }
}
?>
