<?php
require 'database_connection.php';





$user_id = '5615'; // أخذ id_user من الجلسة

// استعلامات SQL لحساب القيم المطلوبة

// 1. عدد النقرات اليوم للمستخدم
$sql_clicks_today = "SELECT COUNT(id) AS total_clicks_today 
                     FROM stat_lin 
                     WHERE id_user = :user_id AND DATE(time) = CURDATE()";
$stmt_clicks_today = $pdo->prepare($sql_clicks_today);
$stmt_clicks_today->bindParam(':user_id', $user_id, PDO::PARAM_INT);
$stmt_clicks_today->execute();
$row_clicks_today = $stmt_clicks_today->fetch(PDO::FETCH_ASSOC);

// 2. مجموع أرباح النقرات اليوم
$total_clicks_today = $row_clicks_today['total_clicks_today'];
$total_earnings_today = $total_clicks_today * 0.009;

// 3. مجموع عدد الزيارات الكلية للمستخدم
$sql_total_visits = "SELECT COUNT(id) AS total_visits 
                     FROM stat_lin 
                     WHERE id_user = :user_id";
$stmt_total_visits = $pdo->prepare($sql_total_visits);
$stmt_total_visits->bindParam(':user_id', $user_id, PDO::PARAM_INT);
$stmt_total_visits->execute();
$row_total_visits = $stmt_total_visits->fetch(PDO::FETCH_ASSOC);

// 4. مجموع أرباح الزيارات الكلية
$total_visits = $row_total_visits['total_visits'];
$total_earnings_total_visits = $total_visits * 0.009;

// استعلام SQL لجلب البيانات مع تجميع حسب التاريخ والمصدر و user_id
$sql = "SELECT 
            DATE(time) AS date,  -- استخراج التاريخ من الوقت
            sourc, 
            COUNT(id) AS total_visits, 
            COUNT(id) * 0.009 AS total_earnings
        FROM stat_lin
        WHERE id_user = :user_id 
        GROUP BY DATE(time), sourc  
        ORDER BY DATE(time) DESC"; 
// إعداد الاستعلام
$stmt = $pdo->prepare($sql);

// ربط قيمة user_id في الاستعلام
$stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);

// تنفيذ الاستعلام
$stmt->execute();
?>

    <style>
        body {
            background-color: #f0f4f8;
            margin: 0;
            padding: 0;
            min-height: 100vh;
        }
        .container {
            width: 90%;
            max-width: 1200px;
            margin: 20px auto;
            background-color: #fff;
            border-radius: 12px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            padding: 30px;
        }
        .header {
            background-color: #4F8DFF;
            color: #fff;
            padding: 20px;
            text-align: center;
            border-radius: 8px;
        }
        .stats-container {
            display: flex;
            justify-content: space-between;
            margin-bottom: 30px;
            gap: 20px;
            flex-wrap: wrap;
            justify-content: center;
        }
        .stats-box {
            width: 48%;
            background-color: #4F8DFF;
            color: white;
            padding: 20px;
            border-radius: 8px;
            text-align: center;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
            transition: background-color 0.3s ease;
        }
        .stats-box:hover {
            background-color: #5A9DFF;
        }
        .stats-box h3 {
            margin-bottom: 10px;
        }
        .stats-box p {
            font-size: 18px;
            margin: 0;
        }

        /* تخصيص الألوان للمربعات */
        .stats-box:nth-child(2) {
            background-color: #a8d08d; /* أخضر فاتح */
        }
        .stats-box:nth-child(3) {
            background-color: #2e3a8c; /* أزرق غامق */
        }
        .stats-box:nth-child(4) {
            background-color: #2f6a4f; /* أخضر غامق */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        th, td {
            padding: 15px;
            text-align: center;
            border-bottom: 1px solid #ddd;
        }
        th {
            background-color: #4F8DFF;
            color: #fff;
        }
        tr:nth-child(even) {
            background-color: #f1f5f9;
        }
        tr:hover {
            background-color: #e2e8f0;
        }

        @media (max-width: 768px) {
            .stats-box {
                width: 90%;
            }
            .stats-container {
                flex-direction: column;
                gap: 10px;
            }
            .header {
                font-size: 16px;
            }
        }

        /* تحسين تصرف الجدول على الهواتف */
        @media (max-width: 480px) {
            th, td {
                padding: 10px;
            }
            .container {
                padding: 15px;
            }
        }
    </style>

<body>
    <div class="container">

        <!-- إحصائيات النقرات والزيارات -->
        <div class="stats-container">
            <div class="stats-box">
                <h3>مجموع النقرات اليوم</h3>
                <p><?php echo $total_clicks_today; ?> نقرة</p>
            </div>
            <div class="stats-box">
                <h3>مجموع أرباح النقرات اليوم</h3>
                <p>$<?php echo number_format($total_earnings_today, 2); ?></p>
            </div>
        </div>
        <div class="stats-container">
            <div class="stats-box">
                <h3>مجموع الزيارات الكلية</h3>
                <p><?php echo $total_visits; ?> زيارة</p>
            </div>
            <div class="stats-box">
                <h3>مجموع أرباح الزيارات المختصرة</h3>
                <p>$<?php echo number_format($total_earnings_total_visits, 2); ?></p>
            </div>
        </div>

        <h2>تفاصيل الزيارات</h2>
        <table>
            <thead>
                <tr>
                    <th>التاريخ</th>
                    <th>المصدر</th>
                    <th>عدد الزيارات</th>
                    <th>مجموع الأرباح (دولار)</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                // التحقق من وجود نتائج
                if ($stmt->rowCount() > 0): ?>
                    <?php while ($row = $stmt->fetch(PDO::FETCH_ASSOC)): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($row['date']); ?></td>
                            <td><?php echo htmlspecialchars($row['sourc']); ?></td>
                            <td><?php echo $row['total_visits']; ?></td>
                            <td>$<?php echo number_format($row['total_earnings'], 3); ?></td>
                        </tr>
                    <?php endwhile; ?>
                <?php else: ?>
                    <tr>
                        <td colspan="4">لا توجد بيانات حالياً</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
</body>
</html>
